org.eclnt.jsfserver.pagebean.component

## Class DefaultPageBeanComponentInfoService

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.component.DefaultPageBeanComponentInfoService

- All Implemented Interfaces:
    IPageBeanComponentInfoService

      public class DefaultPageBeanComponentInfoService
      extends java.lang.Object
      implements IPageBeanComponentInfoService

  Default implementation of `IPageBeanComponentInfoService`. We recommend to use this class as base class in order to automatically adapt to future changes of the interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPageBeanComponentInfoService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPackageNameOfStyleExtensions()` Package name (example: "xxx.yyy.zzz") that contains style extensions to the default CaptainCasa styles.
    `java.util.List<java.lang.Class>` | `getPageBeanComponents()` List of page bean component class names that should be visible in the Layout Editor when creating properties within the Code generator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPageBeanComponentInfoService

          public DefaultPageBeanComponentInfoService()

  - ### Method Detail

    - #### getPageBeanComponents

          public java.util.List<java.lang.Class> getPageBeanComponents()

      Description copied from interface: `IPageBeanComponentInfoService`
      List of page bean component class names that should be visible in the Layout Editor when creating properties within the Code generator.
      Specified by:
        `getPageBeanComponents` in interface `IPageBeanComponentInfoService`

    - #### getPackageNameOfStyleExtensions

          public java.lang.String getPackageNameOfStyleExtensions()

      Description copied from interface: `IPageBeanComponentInfoService`
      Package name (example: "xxx.yyy.zzz") that contains style extensions to the default CaptainCasa styles. If no style extensions are available then null is to be returned.
      Specified by:
        `getPackageNameOfStyleExtensions` in interface `IPageBeanComponentInfoService`

Copyright © CaptainCasa Gmbh. All Rights Reserved.